ubuntu one plugin is not enabled by default

Bug #934235 reported by Serge Hallyn on 2012-02-17
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu One for Rhythmbox
Status tracked in Trunk
Stable-3-0
High
dobey
Trunk
High
dobey
rhythmbox (Ubuntu)
High
dobey
Precise
High
dobey
rhythmbox-ubuntuone (Ubuntu)
High
dobey
Precise
High
dobey

Bug Description

The ubuntu one plugin is a separate package, but after installing it it is not enabled by default. The user needs to find the 'plugins' menu entry and search for and enable it.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: rhythmbox-ubuntuone 2.99.3-0ubuntu3
ProcVersionSignature: Ubuntu 3.2.0-15.24ro1-generic 3.2.5
Uname: Linux 3.2.0-15-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
Date: Fri Feb 17 08:24:06 2012
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: rhythmbox-ubuntuone
UpgradeStatus: No upgrade log present (probably fresh install)

Serge Hallyn (serge-hallyn) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in rhythmbox-ubuntuone (Ubuntu):
status: New → Confirmed
Changed in rhythmbox-ubuntuone (Ubuntu):
importance: Undecided → Medium
dobey (dobey) on 2012-02-22
Changed in rhythmbox-ubuntuone (Ubuntu Precise):
assignee: nobody → Rodney Dawes (dobey)
importance: Medium → High
dobey (dobey) on 2012-02-27
summary: - ubuntu one plugin is not enabled by default
+ [FFe] ubuntu one plugin is not enabled by default

To fix this correctly, we need http://git.gnome.org/browse/rhythmbox/commit/?id=bca344b8d70cf39ceb57b3654124f23cad69e4b1 from rhyhmbox git master. As this is a bit of a regression, but still a "feature," I'm adding the FFe request to this bug. The strings in the gsettings schema file aren't translated, and we can probably punt the changes to the rblirc .plugin file, to avoid breaking current translations.

tags: added: u1-fe
Martin Pitt (pitti) wrote :

Bug fix, not a feature.

summary: - [FFe] ubuntu one plugin is not enabled by default
+ ubuntu one plugin is not enabled by default
tags: removed: u1-fe
dobey (dobey) on 2012-03-07
Changed in rhythmbox-ubuntuone (Ubuntu Precise):
milestone: none → ubuntu-12.04-beta-2
Changed in rhythmbox (Ubuntu Precise):
milestone: none → ubuntu-12.04-beta-2
status: New → Triaged
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox-ubuntuone - 2.99.90-0ubuntu1

---------------
rhythmbox-ubuntuone (2.99.90-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Fix playback of preview tracks in store. (LP: #928356)
    - Register url handler for u1ms: scheme, and load them. (LP: #933010)
    - Enable the plug-in by default. (LP: #934235)
    - Fix playback of downloaded songs from 'My Downloads' page. (LP: #947381)
  * debian/control:
    - Require libubuntuone 2.99.90 for related bug fixes.
    - Require rhythmbox 2.95.5 for related bug fixes.
    - Update standards version to 3.9.3.
  * debian/watch:
    - Update watch file to not require update for each new release.
 -- Rodney Dawes <email address hidden> Thu, 08 Mar 2012 14:24:55 -0500

Changed in rhythmbox-ubuntuone (Ubuntu Precise):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 2.95.5-0ubuntu1

---------------
rhythmbox (2.95.5-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #949424)
    - Add support for allowing plug-ins to specify that they should be
      enabled by default. (LP: #934235)
    - Magnatune plug-in is re-enabled upstream.
    - Removal of gtk_dialog_run in most all cases.
    - Porting of more plug-ins to python-gi.
  * debian/control, debian/*.install:
    - Remove the useless coherence plug-in install file.
    - Move some core plug-ins into main rhythmbox package.
      + audiocd, generic-player, iradio, mmkeys, power-manager, rb
    - Split out the NPAPI plug-in to a separate package.
    - Split out the zeitgeist plug-in to a separate package.
    - Split out the magnatune store plug-in to a separate package.
    - Split out the visualizer plug-in to a separate package.
      + Disable building the visualizer plug-in package, as it needs
        libmx which is in universe and not main.
  * debian/patches/*:
    - Refreshed patches against new source that had problems applying.
    - Remvoe the mpris name patch which is included upstream.
 -- Rodney Dawes <email address hidden> Fri, 09 Mar 2012 07:24:47 +0100

Changed in rhythmbox (Ubuntu Precise):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers